package com.chenyang.nse.bussiness.service.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.core.encryption.TCoreDesensitizationStrategy;
import java.lang.reflect.InvocationTargetException;
import java.text.ParseException;
import java.util.List;

public interface DesensitizationStrategyService {
   void saveDesensitizationStrategy(List<String> parameter) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException, ParseException;

   void saveDesensitizationStrategyDel(List<String> parameter) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException, ParseException;

   List<TCoreDesensitizationStrategy> queryDesenStrategylist(String projectId, String strategyName, String remarks, String roleGroup, String state);

   List<TCoreDesensitizationStrategy> queryDesenStrategyDetails(String projectId, String strategyId);

   void updateRoleGroup(List<TCoreDesensitizationStrategy> tcoreJiaMiDulist, String roleGroup);

   void remove(List<TCoreDesensitizationStrategy> tcoreJiaMiDulist);

   void disableOrEnable(List<TCoreDesensitizationStrategy> tcoreJiaMiDulist, String state);

   boolean checkStrategy(String ruleId);

   int checkRepeatName(String strategyname, String id, String projectid);
}
